summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authoryar2014-01-03 19:45:29 -0800
committeryar2014-01-03 19:45:29 -0800
commit1b8f8758ab7d4d1a4d641700c0a6f008921087fb (patch)
treed92b059f437227fde355a17ab10e156f1b9a6a8a /PKGBUILD
downloadaur-1b8f8758ab7d4d1a4d641700c0a6f008921087fb.tar.gz
[s3fs-c-git] dir should reflect pkgname
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d4b3173f37f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,31 @@
+gitname=s3fs-c
+pkgname=${gitname}-git
+pkgver=57.9c6d31b
+pkgrel=1
+pkgdesc="Fork of s3fs"
+arch=('i686' 'x86_64')
+url="https://github.com/tongwang/s3fs-c"
+license=('GPL2')
+depends=('fuse' 'glib2' 'libxml++' 'mime-types')
+makedepends=('git')
+conflicts=('s3fs')
+provides=('s3fs')
+source=("git+${url}.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}/${gitname}"
+ local ver="$(git rev-list --count HEAD).$(git rev-parse --short HEAD)"
+ printf "%s" "${ver//-/.}"
+}
+
+build() {
+ cd "${srcdir}/${gitname}"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${gitname}"
+ make DESTDIR="${pkgdir}/" install
+}